// vim: set noet ts=4 sw=0:

/**
sentinel sidecar 客户端可直接复用的相关类型。
*/

namespace java com.alibaba.csp.sentinel.sidecar.client
namespace cpp  alibaba.sentinel
namespace php  Sentinel


exception BlockException {

	1:string ruleLimitApp;

	2:string message;

}


struct SentinelHttpRequest {

	// FIXME thrift 可否显式声明此字段一定不能为 null ?
	1:required string host;

	2:required string path;

	/**
	Nginx 等支持 URL 重写，此字段表示重写前的客户端请求 URL 路径。
	此字段为空 (空字符串或 null) 则表示与 path 相同 (即未重写此 URL 路径) 。
	*/
	3:optional string clientRequestPath;

}
